Public Member Functions

# CargoResolverObject Struct Reference

Resolver of cargo. More...

Inheritance diagram for CargoResolverObject:

## Public Member Functions
| CargoResolverObject (const CargoSpec *cs, CallbackID callback=CBID_NO_CALLBACK, uint32 callback_param1=0, uint32 callback_param2=0)
| Constructor of the cargo resolver.
const SpriteGroup * | ResolveReal (const RealSpriteGroup *group) const
| Get the real sprites of the grf.

## Detailed Description

Resolver of cargo.

Definition at line 17 of file newgrf_cargo.cpp.

## Constructor & Destructor Documentation

CargoResolverObject::CargoResolverObject | ( | const CargoSpec * | cs,
|  | CallbackID | callback = `CBID_NO_CALLBACK`,
|  | uint32 | callback_param1 = `0`,
|  | uint32 | callback_param2 = `0` |
| ) |  |  |

Constructor of the cargo resolver.

Parameters:

  | cs | Cargo being resolved.
  | callback | Callback ID.
  | callback_param1 | First parameter (var 10) of the callback.
  | callback_param2 | Second parameter (var 18) of the callback.

Definition at line 40 of file newgrf_cargo.cpp.

## Member Function Documentation

const SpriteGroup * CargoResolverObject::ResolveReal | ( | const RealSpriteGroup * | group | ) | const`[virtual]`

Get the real sprites of the grf.

Parameters:

  | group | Group to get.

Returns:
  The available sprite group.

Reimplemented from ResolverObject.

Definition at line 23 of file newgrf_cargo.cpp.

References RealSpriteGroup::loaded, RealSpriteGroup::loading, RealSpriteGroup::num_loaded, and RealSpriteGroup::num_loading.

The documentation for this struct was generated from the following file:

- src/newgrf_cargo.cpp